Skip to main content

LWUIT FOR MIDP-2.0 CLDC-1.1???

1 reply [Last post]
yugod
Offline
Joined: 2008-09-17

How can i get LWUIT to run on my samsung f480 with MIDP-2.0 and CLDC-1.1

Couse i downloaded the LWUIT.jar onto my phone and it tells me its not supported when i try to run it... so i need to convert it to MIDP-2.0 and CLDC-1.1 or what?

And with what program can i do that? (if u know any please post a link where i can get them).

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
oakleaf
Offline
Joined: 2008-09-18

First, maybe your question is better posted in this forum:
http://forums.java.net/jive/forum.jspa?forumID=139
As there, you'll find a forum dedicated to LWUIT.

What part tells on what action that what is not supported? What is the error message?

I guess you have downloaded LWUIT.jar and compiled your application including LWUIT. Now you have tried to download your application, and Samsung says "Unknown filetype"? In that case, try to unlock the Java installer by entering this service code: *#9998*4678255# enter it just like a phone number.

You can check your LWUIT-Version in the Manifest.MF. Open the Jar with WinRAR and read it:

Manifest-Version: 1.0
Ant-Version: Apache Ant 1.7.0
Created-By: 1.6.0_01-b06 (Sun Microsystems Inc.)
MIDlet-Vendor: Vendor
MIDlet-Name: LWUIT
MIDlet-Version: 1.0
MicroEdition-Configuration: CLDC-1.1 <<<<<<<
MicroEdition-Profile: MIDP-2.0 <<<<<<<<<<<<

I've downloaded it yesterday from lwuit.ded.java.net, it is already MIDP-2.0 and CLDC-1.1.

However, if you have to recompile, you'll get the sourcecode from here:

http: XX lwuit.dev.java.net X source X browse x lwuit X

(Replace X through slash and remove the blanks between; the editor here didn't accept the link when I wrote it.)

Cheers

Message was edited by: oakleaf